postgresql-plperl-9.1_9.1.22-0+deb8u1_i386.deb


Advertisement

Description

postgresql-plperl-9.1 - PL/Perl procedural language for PostgreSQL 9.1

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name postgresql-plperl-9.1
Package version 9.1.22
Package release 0+deb8u1
Package architecture i386
Package type deb
Installed size 224 B
Download size 75.60 KB
Official Mirror ftp.br.debian.org
PL/Perl enables an SQL developer to write procedural language functions
for PostgreSQL 9.1 in Perl.  You need this package if you have any
PostgreSQL 9.1 functions that use the languages plperl or plperlu.
PostgreSQL 9.1 is obsolete. This package is only provided for upgrades from
9.1 from Debian 7.x ("Wheezy") and should not be installed otherwise.

Alternatives

Package Version Architecture Repository
postgresql-plperl-9.1_9.1.22-0+deb8u1_amd64.deb 9.1.22 amd64 Debian Main
postgresql-plperl-9.1 - - -

Requires

Name Value
libc6 >= 2.4
libperl5.20 >= 5.20.2
perl -

Download

Type URL
Binary Package postgresql-plperl-9.1_9.1.22-0+deb8u1_i386.deb
Source Package postgresql-9.1

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-plperl-9.1 deb package:
    # sudo apt-get install postgresql-plperl-9.1

Files

Path
/usr/lib/postgresql/9.1/lib/plperl.so
/usr/share/doc/postgresql-plperl-9.1/changelog.Debian.gz
/usr/share/doc/postgresql-plperl-9.1/changelog.gz
/usr/share/doc/postgresql-plperl-9.1/copyright
/usr/share/locale/cs/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/de/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/es/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/fr/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/it/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/ja/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/pl/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/pt_BR/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/ro/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/ru/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/tr/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/zh_CN/LC_MESSAGES/plperl-9.1.mo
/usr/share/locale/zh_TW/LC_MESSAGES/plperl-9.1.mo
/usr/share/postgresql/9.1/extension/plperl--1.0.sql
/usr/share/postgresql/9.1/extension/plperl--unpackaged--1.0.sql
/usr/share/postgresql/9.1/extension/plperl.control
/usr/share/postgresql/9.1/extension/plperlu--1.0.sql
/usr/share/postgresql/9.1/extension/plperlu--unpackaged--1.0.sql
/usr/share/postgresql/9.1/extension/plperlu.control

Changelog

2016-05-27 - Christoph Berg <christoph.berg@credativ.de>
postgresql-9.1 (9.1.22-0+deb8u1) jessie; urgency=medium
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
2016-04-02 - Christoph Berg <myon@debian.org>
postgresql-9.1 (9.1.21-0+deb8u1) jessie; urgency=medium
* New upstream version, relevant PL/Perl change:
+ Correctly handle empty arrays in plperl_ref_from_pg_array.
2016-02-11 - Christoph Berg <christoph.berg@credativ.de>
postgresql-9.1 (9.1.20-0+deb8u1) jessie; urgency=medium
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
2015-10-08 - Christoph Berg <christoph.berg@credativ.de>
postgresql-9.1 (9.1.19-0+deb8u1) jessie; urgency=medium
* New upstream version, relevant PL/Perl change:
+ Fix plperl to handle non-ASCII error message texts correctly.
2015-06-12 - Christoph Berg <myon@debian.org>
postgresql-9.1 (9.1.18-0+deb8u1) jessie; urgency=medium
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
2015-06-03 - Christoph Berg <myon@debian.org>
postgresql-9.1 (9.1.17-0+deb8u1) jessie; urgency=medium
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
2015-05-21 - Christoph Berg <christoph.berg@credativ.de>
postgresql-9.1 (9.1.16-0+deb8u1) stable-security; urgency=medium
* New upstream version, relevant PL/Perl change:
+ Improve detection of system-call failures (Noah Misch)
Our replacement implementation of snprintf() failed to check for errors
reported by the underlying system library calls; the main case that
might be missed is out-of-memory situations. In the worst case this
might lead to information exposure, due to our code assuming that a
buffer had been overwritten when it hadn't been. Also, there were a few
places in which security-relevant calls of other system library
functions did not check for failure.
It remains possible that some calls of the *printf() family of functions
are vulnerable to information disclosure if an out-of-memory error
occurs at just the wrong time.  We judge the risk to not be large, but
will continue analysis in this area. (CVE-2015-3166)
* Repository moved to git, update Vcs headers.
2015-02-05 - Christoph Berg <christoph.berg@credativ.de>
postgresql-9.1 (9.1.15-0+deb8u1) unstable; urgency=low
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
2014-07-28 - Christoph Berg <myon@debian.org>
postgresql-9.1 (9.1.14-0+deb8u1) unstable; urgency=medium
* New upstream release: No effective changes for PL/Perl, the version must
just be higher than the one in wheezy.
* Add Breaks: postgresql-9.1 (<< 9.1.12) to ensure the server package
supports CheckFunctionValidatorAccess.
* Update Vcs URLs.
* Remove 60-pg_regress_socketdir.patch, 61-extra_regress_opts: Went
upstream (and aren't relevant for plperl anyway).
* Add perl license to debian/copyright.
2014-03-18 - Martin Pitt <mpitt@debian.org>
postgresql-9.1 (9.1.13-1) unstable; urgency=medium
* New upstream release:
- Fix memory leak in PL/Perl when returning a composite result, including
multiple-OUT-parameter cases.
* Bump Standards-Version to 3.9.5. No changes necessary.

See Also

Package Description
postgresql-plperl-9.4_9.4.18-0+deb8u1_i386.deb PL/Perl procedural language for PostgreSQL 9.4
postgresql-plpython-9.4_9.4.18-0+deb8u1_i386.deb PL/Python procedural language for PostgreSQL 9.4
postgresql-plpython3-9.4_9.4.18-0+deb8u1_i386.deb PL/Python 3 procedural language for PostgreSQL 9.4
postgresql-pltcl-9.4_9.4.18-0+deb8u1_i386.deb PL/Tcl procedural language for PostgreSQL 9.4
postgresql-prioritize_1.0.4-1.1_i386.deb Get and set the nice priorities of PostgreSQL backends
postgresql-server-dev-9.4_9.4.18-0+deb8u1_i386.deb development files for PostgreSQL 9.4 server-side programming
postgresql-server-dev-all_165+deb8u3_all.deb extension build tool for multiple PostgreSQL versions
postgresql_9.4+165+deb8u3_all.deb object-relational SQL database (supported version)
postgrey_1.35-1_all.deb greylisting implementation for Postfix
postmark_1.53-1_i386.deb File system benchmark from NetApp
postnews_0.5.3-4_all.deb Post Usenet articles via NNTP from the command line
postr_0.13.1-1_all.deb upload photos to Flickr
potool_0.16-2_i386.deb program to aid manipulation of gettext po files
potrace_1.12-1+deb8u1_i386.deb utility to transform bitmaps into vector graphics
pound_2.6-6+deb8u1_i386.deb reverse proxy, load balancer and HTTPS front-end for Web servers
Advertisement
Advertisement